# QueryChainableBuilderType

    public protocol QueryChainableBuilderType

Utility protocol for `QueryChainBuilder`. Used in fetch methods that support chained query builders.

- `ObjectType`

  The `DynamicObject` type for the query

  #### Declaration

  Swift

      associatedtype ObjectType : DynamicObject

- `ResultType`

  The `SelectResultType` type for the query

  #### Declaration

  Swift

      associatedtype ResultType : SelectResultType

- `from`

  The `From` clause specifies the source entity and source persistent store for the query

  #### Declaration

  Swift

      var from: From<ObjectType> { get set }

- `select`

  The `Select` clause to be used for the query

  #### Declaration

  Swift

      var select: Select<ObjectType, ResultType> { get set }

- `queryClauses`

  The `QueryClause`s to be used for the query

  #### Declaration

  Swift

      var queryClauses: [QueryClause] { get set }